
#include "fft/fft-default.h"
#include "fxttypes.h"  // ulong



void
weighted_fft(double *fr, double *fi, ulong ldn, int is, double w)
// Weighted FFT
{
    ulong n = (1UL<<ldn);
    fourier_shift(fr, fi, n, w);
    fft(fr, fi, ldn, is);
}
// -------------------------


void
weighted_inverse_fft(double *fr, double *fi, ulong ldn, int is, double w)
// Inverse of weighted_fft() iff signs of both w and is are changed
{
    ulong n = (1UL<<ldn);
    fft(fr, fi, ldn, is);
    fourier_shift(fr, fi, n, w);
}
// -------------------------

